***************************************************************************
*
*	Customs.R - AutoMac III Customization Resource, Version 2.1
*	RMaker Source File
*	1988 H.C.W. Anderson
*	All rights reserved
*
*
*	This file may be used to change several customizable features
*	of AutoMac III, such as command keys for dialogs.  In order to 
*	do this, you must have two programs available from Apple: "RMaker"
*	and "ResEdit", and you must be an experienced programmer.  If you 
*	do not feel confident doing this, we recommend against it. You can 
*	still change most features of AutoMac III by using the "Prefs"
*	dialog (see instructions).
*
*
*					*****  WARNING!!  *****
*
*	Do NOT attempt to modify AutoMac III in this manner unless you
*	are an experienced programmer.  Keep a BACKUP COPY of AutoMac III,
*	in case something should go wrong. And be sure to TEST the resulting
*	changed version with sample program and data disks, before using
*	it with your important data.  As always, we urge you to maintain
*	complete and current backups of all of your programs and data when
*	using AutoMac III.
*
*
*	INSTRUCTIONS:
*
*	(1) Alter the values in this RMaker source file, as desired.
*
*	(2) Compile this RMaker source file, using RMaker.
*		The result will be a new file, "Customs.rsrc",
*		containing one resource, type "CUST" and i.d.=10.
*
*	(3) Use ResEdit to remove the old "CUST #10" resource
*		from AutoMac III, and copy the new resource in
*		from "Customs.rsrc".
*
***************************************************************************



***************************************************************************
*
*	Output File Name
*
***************************************************************************

Customs.rsrc


***************************************************************************
*
*	Customization Resource (CUST #10)
*
***************************************************************************

TYPE CUST = GNRL
    ,10 (36)
*
*
*
***************************************************************************
*
*	NONMODIFIABLE SECTION:  DO NOT CHANGE
*
*
*	This section contains key combinations, settings flags, etc.
*	which may be changed using the "Prefs" dialog.  Do not attempt
*	to alter the information here.
*
***************************************************************************
*
.H
0001 0000 0000 8000 0064 FFFF
FFFF 0000 0004 0E00 0004 2200
0004 2D00 0004 2000 0004 3200
0004 3300 0004 1800 0004 1B00
0004 2100 0004 1E00 0004 2F00
8000 0800 8000 0900 8000 0700
FFFF FFFF FFFF FFFF 00FF 8005
1D00 0004 3300 0004 1800 0004
1B00 0004 2100 0004 1E00 0004 
2F00 8005 2F00
*
*
***************************************************************************
*
*	Command keys for Record Starting Dialog Box
*	(Hexadecimal)
*
*
*	NOTE:
*
*	Command keys are given as "key numbers", not ASCII characters.
*	(A key number of $FF indicates that no command key is desired.)
*
***************************************************************************
*
*	[count; do not change]
07
*	Record
FF
*	Cancel
2F
*	Options
1F
*	Command
08
*	Shift
01
*	Option
23
*	Full drag track
02
*
*
***************************************************************************
*
*	Command keys for Record Ending Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
09
*	Stop
FF
*	Continue
08
*	Suspend
01
*	Cancel
2F
*	Undo
06
*	Options
1F
*	Misc
2E
*	Add time delay
11
*	Full drag track
02
*
*
***************************************************************************
*
*	Command keys for Main Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
10
*	Play
FF
*	Record
0F
*	Delete
02
*	Change
0E
*	Prefs
23
*	Help
04
*	Cancel
2F
*	New
2D
*	Open
1F
*	Revert
11
*	Save
01
*	Save As
00
*	List
25
*	Cut
07
*	Copy
08
*	Paste
09
*	[unused]
FF
*
*
***************************************************************************
*
*	Command keys for "Please Press Key" Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
01
*	Cancel
2F
*
*
***************************************************************************
*
*	Command keys for Misc Options Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
05
*	Cancel
2F
*	"M"
2E
*	"B"
0B
*	"S"
01
*	"J"
26
*
*
***************************************************************************
*
*	Command keys for Options Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
16
*	OK
FF
*	Cancel
2F
*	Down, Automatic
12
*	Down, Screen
13
*	Down, T.L.
15
*	Down, T.R.
17
*	Down, B.R.
16
*	Down, B.L.
1A
*	Down, Starting pt
14
*	Up, Automatic
0C
*	Up, Screen
0D
*	Up, T.L.
0F
*	Up, T.R.
11
*	Up, B.R.
10
*	Up, B.L.
20
*	Up, Starting pt
0E
*	Tracking, Normal
2D
*	Tracking, Full drag
02
*	Tracking, All
00
*	Real time
23
*	In alerts
22
*	Set new starting pt
01
*	[unused]
FF
*
*
***************************************************************************
*
*	Command keys for "Save Changes?" Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
04
*	Yes
FF
*	No
2D
*	Save As
01
*	Cancel
2F
*	[unused]
FF
*
*
***************************************************************************
*
*	Command keys for "Change" Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*
*	[count; do not change]
05
*	OK
FF
*	Cancel
2F
*	(Unused)
FF
*	Command
08
*	Shift
01
*
*
***************************************************************************
*
*	Command keys for "Stop Until..." Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*
*	[count; do not change]
0B
*	OK
FF
*	Cancel
2F
*	Return/Enter key
12
*	Enter key
14
*	Mouse click
13
*	Any key/click
15
*	Fixed time
17
*	Target time
16
*	A.M.
00
*	P.M.
23
*	Any date
02
*
*
***************************************************************************
*
*	Command keys for "Do Message or Alert" Dialog Box
*	(Hexadecimal)
*
***************************************************************************
*
*	[count; do not change]
06
*	OK
FF
*	Test
11
*	Cancel
2F
*	2 buttons
13
*	1 button
12
*	0 buttons
1D
*	[unused]
FF
*
*
***************************************************************************
*
*	NONMODIFIABLE SECTION:  DO NOT CHANGE
*
*
*	This section contains key combinations, etc. which may be
*	changed using the "Prefs" dialog.  Do not attempt to alter
*	the information here.
*
***************************************************************************
*
0000 FF00
11C8 D700
*
*
***************************************************************************
*
*	Misc ASCII Character Constants Used by AutoMac III
*	(Hexadecimal)
*
***************************************************************************
*
*	Return key char
0D
*	Enter key char
03
*	Decimal point  char (e.g. "." in U.S.)
2E
*	Tab key char
09
*	Backspace key char
08
*	Space key char
20
*
*
***************************************************************************
*
*	Width of "Macro Description" Column in Main Dialog Box, Pixels
*	(integer)
*
***************************************************************************
*
.I
194
*
*
***************************************************************************
*
*	File "Type" for Macro Files
*	(4 char string, no length byte)
*
***************************************************************************
*
.S
MKDC
*
*
***************************************************************************
*
*	File "Creator" for Macro Files
*	(4 char string, no length byte)
*
***************************************************************************
*
.S
HCWA
*
*
***************************************************************************
*
*	Name of First Temporary Work File, First 4 Chars
*	(4 char string, no length byte)
*
*	NOTE:  Name must be 6 chars; last two must be ASCII digits, as below.
*
***************************************************************************
*
.S
MKEY
*
*
***************************************************************************
*
*	Name of First Temporary Work File, Last 2 Digit Chars
*	(2 1 char strings, no length byte)
*
***************************************************************************
*
*	Digit 1
.S
0
*	Digit 2
.S
0
*
*
***************************************************************************
*
*	Destination Rectangle for AutoMac "A" Symbol on Screen
*	(hexadecimal)
*
***************************************************************************
*
.H
0008 0000 000C 0010
*
*
***************************************************************************
*
*	Source BitMap for AutoMac "A" Symbol
*
***************************************************************************
*
*	[filler]
.L
0
*	Rowbytes (integer)
.I
2
*	Bounds rect (hex)
.H
0000 0000 0004 0010
*
*
***************************************************************************
*
*	Bit Image for AutoMac "A" Symbol
*
*
*	NOTE: Limited to 8 bytes; do not alter size.
*
***************************************************************************
*
.H
0200 0500 0F80 0880


