***************************************************************************
*
*	EdCustoms.R - Customization Resource for AutoMac III MacroEditor
*	RMaker Source File
*	1988 H.C.W. Anderson
*	All rights reserved
*
*
*	This file may be used to change several customizable features
*	of the AutoMac III editor module, "MacroEditor".  In order to 
*	do this, you must have two programs available from Apple: "RMaker"
*	and "ResEdit", and you must be an experienced programmer.  If you 
*	do not feel confident doing this, we recommend against it.
*
*
*					*****  WARNING!!  *****
*
*	Do NOT attempt to modify AutoMac III in this manner unless you
*	are an experienced programmer.  Keep a BACKUP COPY of MacroEditor,
*	in case something should go wrong. And be sure to TEST the resulting
*	changed version with sample program and data disks, before using
*	it with your important data.  As always, we urge you to maintain
*	complete and current backups of all of your programs and data when
*	using AutoMac III and MacroEditor.
*
*
*	INSTRUCTIONS:
*
*	(1) Alter the values in this RMaker source file, as desired.
*
*	(2) Compile this RMaker source file, using RMaker.
*		The result will be a new file, "EdCustoms.rsrc",
*		containing one resource, type "CUST" and i.d.=10.
*
*	(3) Use ResEdit to remove the old "CUST #10" resource
*		from the file "MacroEditor", and copy the new resource in
*		from "EdCustoms.rsrc".
*
***************************************************************************



***************************************************************************
*
*	Output File Name
*
***************************************************************************


EdCustoms.rsrc


***************************************************************************
*
*	Customization Resource (CUST #10)
*
***************************************************************************

TYPE CUST = GNRL
    ,10
*
*
*
*
***************************************************************************
*
*	Misc ASCII Character Constants Used by MacroEditor
*	(Hexadecimal)
*
***************************************************************************
*
.H
*	Return key char
0D
*	Tab key char
09
*	Backspace key char
08
*	Enter key char
03
*
*
***************************************************************************
*
*	Sizes and Distances in Editor, Measured in Pixels
*	(Integers)
*
***************************************************************************
*
.I
*	Width of each scroll bar
16
*	Distance to inset text from editor rectangle and scroll bars
3
*	Small horizontal scroll interval
8
*	Large horizontal scroll interval
240
*	Maximum horizontal scroll distance (fixed)
1350
*	Threshold distance for recognizing a double click
3
*
*
***************************************************************************
*
*	Font Number/Size to Use
*	(Integers)
*
***************************************************************************
*
*	Font number (4 = Monaco)
4
*	Font size (9 point)
9
*
*
***************************************************************************
*
*	Tab Interval
*	(Integer)
*
***************************************************************************
*
*	Number of pixels between tab stops
40
*
*
*
***************************************************************************
*
*	Size Limits for Editor
*	(Long Integers)
*
*	Note:
*
*	Performance will degrade or errors occur if increased too much.
*
***************************************************************************
*
.L
*	Maximum number of characters allowed in editor
24576
*	Maximum number of lines allowed in editor
3000
*	Maximum size text file allowed to open
32767
*
*
***************************************************************************
*
*	Misc ASCII Character Constants Used by MacroEditor
*	(Hexadecimal)
*
*	Note:
*
*	Some of these are duplicates of those above, and should have
*	the same values.
*
***************************************************************************
*
.H
*	Backspace key char
08
*
*	Enter key char
03
*
*	Up arrow key char
1E
*
*	Down arrow key char
1F
*
*	Left arrow key char
1C
*
*	Right arrow key char
1D
*
*
***************************************************************************
*
*	Command keys for Editor Dialog Box
*	(Hexadecimal)
*
*	Note:
*
*	Command keys are given as "key numbers", not ASCII characters.
*	(A key number of $FF indicates that no command key is desired.)
*
***************************************************************************
*
*	[count; do not change]
0C
*	OK
FF
*	Check T
11
*	Help H
04
*	Cancel .
2f
*	Cut X
07
*	Copy C
08
*	Paste V
09
*	Clear none
FF
*	New N
2D
*	Open O
1f
*	Save As A
00
*	Revert R
0F
*	[unused]
FF
*
*
***************************************************************************
*
*	Default Time for "Click" Command, in Ticks
*	(Hexadecimal)
*
***************************************************************************
*
*	Number of ticks to hold mouse down during a click
06
*
*
*
***************************************************************************
*
*	Misc ASCII Character Constants Used by MacroEditor
*	(ASCII)
*
*	Note:
*
*	These are the characters used as separators, etc. in macros.
*
***************************************************************************
*
.S
*	Comma
,
* 	Colon
:
* 	Right parenthesis
)
* 	Left parenthesis
(
*	Dash
-
*	Line continuation char
\
*
*
*
***************************************************************************
*
*	Misc ASCII Character Constants Used by MacroEditor
*	(Hexadecimal)
*
*	Note:
*
*	Some of these are duplicates of those above, and should have
*	the same values.
*
***************************************************************************
*
.H
*	Comment marker char (= "*")
2A
* 	Space char
20
* 	Tab char
09
* 	Carriage return char
0D
* 	Decimal point (= ".")
2E
*
*
*
***************************************************************************
*
*	Character to Symbolize "Null" Char in Desk Accessory Names
*	(Hexadecimal)
*
*	Note:
*
*	Desk accessory names in the Menu command must have a special
*	character in front, to symbolize the hidden "null" character.
*	We use "+" for this purpose.
*
***************************************************************************
*
* 	Leading char in desk accessory names (= "+")
2B
* 	[unused]
00
*
*
*
***************************************************************************
*
*	ASCII Character Values of the Specially Named Keys
*	(Hexadecimal)
*
*	Note:
*
*	Certain keys are specially named, such as Tab, Backspace, etc.
*	That is, they aren't entered as a single character in the editor.
*	These are the character values corresponding to those special
*	names.  (The names themselves are defined in the STR# resource.)
*
***************************************************************************
*
* 	"Backspace" char
08
* 	"Tab" char
09
* 	"Return" char
0D
* 	"Space" char
20
* 	"Enter" char
03
* 	"Digit0" char
30
* 	"Digit1" char
31
* 	"Digit2" char
32
* 	"Digit3" char
33
* 	"Digit4" char
34
* 	"Digit5" char
35
* 	"Digit6" char
36
* 	"Digit7" char
37
* 	"Digit8" char
38
* 	"Digit9" char
39
* 	[unused; do not use]
00

